Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class ServiceInformationHolder

    java.lang.Object
      org.omg.CORBA.ServiceInformationHolder

All Implemented Interfaces:
  Streamable

    public final class ServiceInformationHolder

extends Object
implements Streamable

The Holder for `ServiceInformation`. For more information on Holder files, see "Generated Files: Holder Files".

A Holder class for a `ServiceInformation` object that is used to store "out" and "inout" parameters in IDL methods. If an IDL method signature has an IDL `xxx` as an "out" or "inout" parameter, the programmer must pass an instance of `ServiceInformationHolder` as the corresponding parameter in the method invocation; for "inout" parameters, the programmer must also fill the "in" value to be sent to the server. Before the method invocation returns, the ORB will fill in the value corresponding to the "out" value returned from the server.

If `myServiceInformationHolder` is an instance of `ServiceInformationHolder`, the value stored in its `value` field can be accessed with `myServiceInformationHolder.value`.

Field Summary
`ServiceInformation` | `value` The `ServiceInformation` value held by this `ServiceInformationHolder` object in its `value` field.

Constructor Summary
`ServiceInformationHolder()` Constructs a new `ServiceInformationHolder` object with its `value` field initialized to null.
`ServiceInformationHolder(ServiceInformation arg)` Constructs a new `ServiceInformationHolder` object with its `value` field initialized to the given `ServiceInformation` object.

Method Summary
`void` | `_read(InputStream in)` Reads unmarshalled data from the input stream `in` and assigns it to the `value` field in this `ServiceInformationHolder` object.
`TypeCode` | `_type()` Retrieves the `TypeCode` object that corresponds to the value held in this `ServiceInformationHolder` object's `value` field.
`void` | `_write(OutputStream out)` Marshals the value in this `ServiceInformationHolder` object's `value` field to the output stream `out`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public ServiceInformation value

  The `ServiceInformation` value held by this `ServiceInformationHolder` object in its `value` field.

Constructor Detail

### ServiceInformationHolder

    public ServiceInformationHolder()

  Constructs a new `ServiceInformationHolder` object with its `value` field initialized to null.

### ServiceInformationHolder

    public ServiceInformationHolder(ServiceInformation arg)

  Constructs a new `ServiceInformationHolder` object with its `value` field initialized to the given `ServiceInformation` object.

  Parameters:
    `arg` - the `ServiceInformation` object with which to initialize the `value` field of the newly-created `ServiceInformationHolder` object

Method Detail

### _write

    public void _write(OutputStream out)

  Marshals the value in this `ServiceInformationHolder` object's `value` field to the output stream `out`.

  Specified by:
    `_write` in interface `Streamable`
  Parameters:
    `out` - the `OutputStream` object that will contain the CDR formatted data

### _read

    public void _read(InputStream in)

  Reads unmarshalled data from the input stream `in` and assigns it to the `value` field in this `ServiceInformationHolder` object.

  Specified by:
    `_read` in interface `Streamable`
  Parameters:
    `in` - the `InputStream` object containing CDR formatted data from the wire

### _type

    public TypeCode _type()

  Retrieves the `TypeCode` object that corresponds to the value held in this `ServiceInformationHolder` object's `value` field.

  Specified by:
    `_type` in interface `Streamable`
  Returns:
    the type code for the value held in this `ServiceInformationHolder` object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.